Skip to main content
GET
/
traces
/
semantic-search
Semantic search traces
curl --request GET \
  --url https://api.example.com/traces/semantic-search \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "otel_trace_id": "<string>",
    "project_id": "<string>",
    "service_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "summary": "<string>",
    "similarity": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string
required

Project ID.

query
string

Natural-language semantic search query.

tool_name
string

Tool name filter.

model
string

Model filter.

error_only
boolean

Only return traces with errors.

start
string

Start timestamp.

end
string

End timestamp.

limit
integer

Maximum number of records to return.

Required range: x >= 1

Response

Semantic search results

id
string
required
otel_trace_id
string
required
project_id
string
required
service_name
string | null
required
created_at
string<date-time>
required
summary
string
required
similarity
number
required